import java.applet.*;
import java.awt.*;
import java.net.*;

class Load3DPanel extends Panel3D {
	VisibleHuman root;
	Choice Load3DChooser;
	String ivURLs[] =
			{
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/UPSHOULDER.iv",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/HEAD.iv",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/BRAIN.iv",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/HEART.iv",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/SKELETON.iv", 
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/STOMACH.iv",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/LUNG.iv",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/INTESTINES.iv",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/LIVER.iv",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/FOOT.iv"
			};
	String URLs[] =
			{
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/UPSHOULDER.html",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/HEAD.html",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/BRAIN.html",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/HEART.html",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/SKELETON.html", 
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/STOMACH.html",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/LUNG.html",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/INTESTINES.html",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/LIVER.html",
				"http://www.npac.syr.edu/projects/3Dvisiblehuman/VRML/FOOT.html"
			};

	Load3DPanel(VisibleHuman _root) {
		root= _root; 
		Load3DChooser = new Choice();
		Load3DChooser.addItem("");
		Load3DChooser.addItem("Head & Shoulder");
		Load3DChooser.addItem("Head");
		Load3DChooser.addItem("Brain");
		Load3DChooser.addItem("Heart");
		Load3DChooser.addItem("Skeleton");
		Load3DChooser.addItem("Stomach");
		Load3DChooser.addItem("Lung");
		Load3DChooser.addItem("Intestines");
		Load3DChooser.addItem("Liver");
		Load3DChooser.addItem("Foot");
		Load3DChooser.addItem("");
		add(new Label3D("3D LOAD"));
		add(Load3DChooser);
		if(!root.Master) Load3DChooser.disable();
	}

	public boolean action(Event e, Object arg) {
		if(!root.Master) return true; 
		if(e.target == Load3DChooser) {
			int indx = Load3DChooser.getSelectedIndex();
			if(indx>0&&indx<11) {
				 //root.sendDatatoVIEWER(true,ivURLs[indx-1]);
				 //root.sendDatatoBrowser(URLs[indx-1]);
				 root.showHTML(URLs[indx-1]);
			}
			else {
				 //root.sendDatatoBrowser("http://www.npac.syr.edu/projects/3Dvisiblehuman");
			}
		}
		return true;
	}
}
